GET /purchase/receipts/\{id\}
GET/purchase/receipts/:id
GET /purchase/receipts/{id}
Request
Path Parameters
Responses
- 200
OK
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
Array [
Array [
]
]
Array [
]
Array [
Array [
]
]
vendor
object
address
object
Possible values: <= 2 characters
Default value: 2
transaction_type
object
tax_nexus
object
taxes
object[]
nullable
rates
object[]
nullable
jurisdiction
object
taxes
object[]
nullable
items
object[]
nullable
item
object
unit
object
paid_record
object
contact
object
taxes
object[]
nullable
{
"id": 0,
"uid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2024-07-29T15:51:28.071Z",
"edited_at": "2024-07-29T15:51:28.071Z",
"is_locked": true,
"no": "string",
"vendor_receipt_no": "string",
"vendor": {
"id": 0,
"business_name": "string",
"display_name": "string",
"reg_no": "string",
"vat_no": "string",
"tax_no": "string",
"address": {
"name": "string",
"company": "string",
"address1": "string",
"address2": "string",
"postal_code": "string",
"city": "string",
"region": "string",
"country": "string"
},
"email": "string",
"preferred_locale": "string",
"phone": "string"
},
"culture": "string",
"date_issued": "2024-07-29",
"description": "string",
"currency": "string",
"precision": 2,
"rate_format": "string",
"taxes_included": true,
"tax_deduction_ratio": 0,
"net_deduction_ratio": 0,
"transaction_type": {
"id": 0,
"name": "string",
"associated_payment_cards": [
"string"
]
},
"tax_nexus": {
"id": 0,
"code": "string",
"currency": "string",
"taxes": [
{
"index": 0,
"code": "string",
"name": "string",
"currency": "string",
"rate_type": "string",
"is_implicit": true,
"rates": [
{
"rate": 0,
"is_default": true
}
]
}
],
"jurisdiction": {
"country": "string",
"region": "string",
"subregion": "string",
"city": "string",
"postal_code": "string"
},
"registration_mode": "string"
},
"total_amount": 0,
"subtotal_amount": 0,
"copy_from_id": 0,
"taxes": [
{
"id": 0,
"tax_index": 0,
"tax_rate": 0,
"tax_amount": 0,
"tax_base": 0,
"tax_code": "string",
"tax_name": "string",
"rate_type": "string"
}
],
"items": [
{
"id": 0,
"description": "string",
"qty": 0,
"rate": 0,
"rate_discounted": 0,
"discount_explicit": 0,
"discount_implicit": 0,
"amount": 0,
"payment_amount": 0,
"currency": "string",
"tax_deduction_ratio": 0,
"net_deduction_ratio": 0,
"item": {
"id": 0,
"code": "string",
"name_org": "string",
"name_leg": "string",
"name": "string",
"desc_org": "string",
"desc_leg": "string",
"desc": "string"
},
"unit": {
"id": 0,
"unece_code": "string",
"name_org": "string",
"name_leg": "string",
"name": "string"
},
"paid_record": {
"id": 0,
"no": "string",
"type": "string",
"contact": {
"id": 0,
"business_name": "string"
}
},
"taxes": [
{
"id": 0,
"tax_rate": 0,
"tax_amount": 0,
"tax_base": 0,
"tax_index": 0,
"tax_code": "string",
"tax_name": "string",
"rate_type": "string"
}
]
}
],
"rsn": "string"
}
- Schema
- Example (from schema)
Schema
Array [
Array [
]
]
Array [
]
Array [
Array [
]
]
vendor
object
address
object
Possible values: <= 2 characters
Default value: 2
transaction_type
object
tax_nexus
object
taxes
object[]
nullable
rates
object[]
nullable
jurisdiction
object
taxes
object[]
nullable
items
object[]
nullable
item
object
unit
object
paid_record
object
contact
object
taxes
object[]
nullable
{
"id": 0,
"uid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2024-07-29T15:51:28.071Z",
"edited_at": "2024-07-29T15:51:28.071Z",
"is_locked": true,
"no": "string",
"vendor_receipt_no": "string",
"vendor": {
"id": 0,
"business_name": "string",
"display_name": "string",
"reg_no": "string",
"vat_no": "string",
"tax_no": "string",
"address": {
"name": "string",
"company": "string",
"address1": "string",
"address2": "string",
"postal_code": "string",
"city": "string",
"region": "string",
"country": "string"
},
"email": "string",
"preferred_locale": "string",
"phone": "string"
},
"culture": "string",
"date_issued": "2024-07-29",
"description": "string",
"currency": "string",
"precision": 2,
"rate_format": "string",
"taxes_included": true,
"tax_deduction_ratio": 0,
"net_deduction_ratio": 0,
"transaction_type": {
"id": 0,
"name": "string",
"associated_payment_cards": [
"string"
]
},
"tax_nexus": {
"id": 0,
"code": "string",
"currency": "string",
"taxes": [
{
"index": 0,
"code": "string",
"name": "string",
"currency": "string",
"rate_type": "string",
"is_implicit": true,
"rates": [
{
"rate": 0,
"is_default": true
}
]
}
],
"jurisdiction": {
"country": "string",
"region": "string",
"subregion": "string",
"city": "string",
"postal_code": "string"
},
"registration_mode": "string"
},
"total_amount": 0,
"subtotal_amount": 0,
"copy_from_id": 0,
"taxes": [
{
"id": 0,
"tax_index": 0,
"tax_rate": 0,
"tax_amount": 0,
"tax_base": 0,
"tax_code": "string",
"tax_name": "string",
"rate_type": "string"
}
],
"items": [
{
"id": 0,
"description": "string",
"qty": 0,
"rate": 0,
"rate_discounted": 0,
"discount_explicit": 0,
"discount_implicit": 0,
"amount": 0,
"payment_amount": 0,
"currency": "string",
"tax_deduction_ratio": 0,
"net_deduction_ratio": 0,
"item": {
"id": 0,
"code": "string",
"name_org": "string",
"name_leg": "string",
"name": "string",
"desc_org": "string",
"desc_leg": "string",
"desc": "string"
},
"unit": {
"id": 0,
"unece_code": "string",
"name_org": "string",
"name_leg": "string",
"name": "string"
},
"paid_record": {
"id": 0,
"no": "string",
"type": "string",
"contact": {
"id": 0,
"business_name": "string"
}
},
"taxes": [
{
"id": 0,
"tax_rate": 0,
"tax_amount": 0,
"tax_base": 0,
"tax_index": 0,
"tax_code": "string",
"tax_name": "string",
"rate_type": "string"
}
]
}
],
"rsn": "string"
}
- Schema
- Example (from schema)
Schema
Array [
Array [
]
]
Array [
]
Array [
Array [
]
]
vendor
object
address
object
Possible values: <= 2 characters
Default value: 2
transaction_type
object
tax_nexus
object
taxes
object[]
nullable
rates
object[]
nullable
jurisdiction
object
taxes
object[]
nullable
items
object[]
nullable
item
object
unit
object
paid_record
object
contact
object
taxes
object[]
nullable
{
"id": 0,
"uid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2024-07-29T15:51:28.071Z",
"edited_at": "2024-07-29T15:51:28.071Z",
"is_locked": true,
"no": "string",
"vendor_receipt_no": "string",
"vendor": {
"id": 0,
"business_name": "string",
"display_name": "string",
"reg_no": "string",
"vat_no": "string",
"tax_no": "string",
"address": {
"name": "string",
"company": "string",
"address1": "string",
"address2": "string",
"postal_code": "string",
"city": "string",
"region": "string",
"country": "string"
},
"email": "string",
"preferred_locale": "string",
"phone": "string"
},
"culture": "string",
"date_issued": "2024-07-29",
"description": "string",
"currency": "string",
"precision": 2,
"rate_format": "string",
"taxes_included": true,
"tax_deduction_ratio": 0,
"net_deduction_ratio": 0,
"transaction_type": {
"id": 0,
"name": "string",
"associated_payment_cards": [
"string"
]
},
"tax_nexus": {
"id": 0,
"code": "string",
"currency": "string",
"taxes": [
{
"index": 0,
"code": "string",
"name": "string",
"currency": "string",
"rate_type": "string",
"is_implicit": true,
"rates": [
{
"rate": 0,
"is_default": true
}
]
}
],
"jurisdiction": {
"country": "string",
"region": "string",
"subregion": "string",
"city": "string",
"postal_code": "string"
},
"registration_mode": "string"
},
"total_amount": 0,
"subtotal_amount": 0,
"copy_from_id": 0,
"taxes": [
{
"id": 0,
"tax_index": 0,
"tax_rate": 0,
"tax_amount": 0,
"tax_base": 0,
"tax_code": "string",
"tax_name": "string",
"rate_type": "string"
}
],
"items": [
{
"id": 0,
"description": "string",
"qty": 0,
"rate": 0,
"rate_discounted": 0,
"discount_explicit": 0,
"discount_implicit": 0,
"amount": 0,
"payment_amount": 0,
"currency": "string",
"tax_deduction_ratio": 0,
"net_deduction_ratio": 0,
"item": {
"id": 0,
"code": "string",
"name_org": "string",
"name_leg": "string",
"name": "string",
"desc_org": "string",
"desc_leg": "string",
"desc": "string"
},
"unit": {
"id": 0,
"unece_code": "string",
"name_org": "string",
"name_leg": "string",
"name": "string"
},
"paid_record": {
"id": 0,
"no": "string",
"type": "string",
"contact": {
"id": 0,
"business_name": "string"
}
},
"taxes": [
{
"id": 0,
"tax_rate": 0,
"tax_amount": 0,
"tax_base": 0,
"tax_index": 0,
"tax_code": "string",
"tax_name": "string",
"rate_type": "string"
}
]
}
],
"rsn": "string"
}